package com.ho.flow.mapper;

import com.ho.flow.vo.WorkOrderOld;
import com.ho.flow.vo.req.workorder.WorkOrderPageReq;
import com.ho.flow.vo.resp.workorder.WorkOrderOldPageRespVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author yule
* @description 针对表【work_order】的数据库操作Mapper
* @createDate 2022-10-14 10:37:27
* @Entity com.ho.flow.vo.WorkOrder
*/
@Mapper
public interface WorkOrderHisMapper {


    int deleteByPrimaryKey(List<String> orderIds);


    int insertSelective(WorkOrderOld record);

    WorkOrderOld selectByPrimaryKey(Long id);
    //
    WorkOrderOld selectByOrderId(String orderId);

    int updateByPrimaryKeySelective(WorkOrderOld record);

    int updateByPrimaryKey(WorkOrderOld record);

    WorkOrderOld selectByStatus(@Param("orderId") String orderId);

    List<WorkOrderOldPageRespVO> selectByPageInfo(WorkOrderPageReq vo);

    List<WorkOrderOldPageRespVO> selectByHisPageInfo(WorkOrderPageReq vo);

    int insertBatch(@Param("list")List<WorkOrderOld> workOrderOlds);

    List<WorkOrderOld> selectByEventIds(List<Long> eventIds);

    void delete(String orderId);

    //退回工单
    void updateReturnWorkOrder(WorkOrderOld workOrderOld);
}
